eoExternalEO(3)

NAME
eoExternalEO - Definition of an object that allows an external struct to be inserted in EO.

SYNOPSIS

#include <eoExternalEO.h>

Inherits EO< Fit >.

  Public Member Functions
eoExternalEO (const External &ext)
Init externalEo with the struct itself and set fitness to zero.
eoExternalEO (std::istream &is, const External &ext)
virtual void readFrom (std::istream &_is)
Read object, the external struct needs to have an operator>> defined.
virtual void printOn (std::ostream &_os) const
Write object.

Detailed Description

  template<class Fit, class External> class eoExternalEO< Fit, External >
Definition of an object that allows an external struct to be inserted in EO. This struct or class can be of any form, the only thing this class does is attach a fitness value to it and makes it the appropriate type (derives it from EO).

Definition at line 39 of file eoExternalEO.h.

Member Function Documentation

  template<class Fit, class External> virtual void eoExternalEO< Fit, External >::printOn (std::ostream & _os) const [inline, virtual]

Write object.

Called printOn since it prints the object _on_ a stream.

Parameters:
    _os A std::ostream.

Reimplemented from EO< Fit >.

Definition at line 69 of file eoExternalEO.h.

References EO< F >::printOn().

Author

Generated automatically by Doxygen for EO from the source code.